scala.tools.cmd.gen.AnyVals

# L

#### object L extends AnyValNum

Linear Supertypes
AnyVals.AnyValNum, AnyVals.AnyValRep, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. L
2. AnyValNum
3. AnyValRep
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### case class Op (op: String, doc: String) extends Product with Serializable

   Definition Classes
     AnyValNum

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### def assemble(decl: String, lines: List[String]): String

   Definition Classes
     AnyValRep

8. #### def bitwiseOps: collection.immutable.List[Op]

   Definition Classes
     AnyValNum

9. #### def boxUnboxImpls: Map[String, String]

   Definition Classes
     AnyValRep

10. #### def boxedName: String

    Definition Classes
      AnyValRep

11. #### def classDoc: String

    Definition Classes
      AnyValRep

12. #### def classLines: collection.immutable.List[String]

    Definition Classes
      AnyValNum → AnyValRep

13. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

14. #### def clumps: List[List[String]]

    Definition Classes
      AnyValNum

15. #### def coercionComment: String

    Definition Classes
      AnyValNum

16. #### def coercionCommentExtra: String

    Definition Classes
      AnyValNum

17. #### def commonClassLines: collection.immutable.List[String]

    Definition Classes
      AnyValRep

18. #### def comparisonOps: collection.immutable.List[Op]

    Definition Classes
      AnyValNum

19. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

20. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

21. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

22. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

23. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

24. #### def implicitCoercions: List[String]

    Definition Classes
      AnyValNum

25. #### def indent(s: String): String

    Definition Classes
      AnyValRep

26. #### def indentN(s: String): String

    Definition Classes
      AnyValRep

27. #### def interpolate(s: String): String

    Definition Classes
      AnyValRep

28. #### def interpolations: Map[String, String]

    Definition Classes
      AnyValRep

29. #### def isCardinal: Boolean

    Definition Classes
      AnyValNum

30. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

31. #### val javaEquiv: String

    Definition Classes
      AnyValRep

32. #### def lcname: String

    Definition Classes
      AnyValRep

33. #### def make(): String

    Definition Classes
      AnyValRep

34. #### def mkBinOpsGroup(ops: List[Op], args: List[AnyVals.AnyValNum], resultFn: (AnyVals.AnyValNum) ⇒ AnyVals.AnyValRep): List[String]

    Makes a set of binary operations based on the given set of ops, args, and resultFn.

    Makes a set of binary operations based on the given set of ops, args, and resultFn.

    ops

      list of function names e.g. List(">>", "%")

    args

      list of types which should appear as arguments

    resultFn

      function which calculates return type based on arg type

    returns

      list of function definitions

    Definition Classes
      AnyValNum

35. #### def mkClass: String

    Definition Classes
      AnyValRep

36. #### def mkCoercions: collection.immutable.List[String]

    Definition Classes
      AnyValNum

37. #### def mkImports: String

    Definition Classes
      AnyValRep

38. #### def mkObject: String

    Definition Classes
      AnyValRep

39. #### def mkShiftOps: collection.immutable.List[String]

    Definition Classes
      AnyValNum

40. #### def mkStringOps: collection.immutable.List[String]

    Definition Classes
      AnyValNum

41. #### def mkUnaryOps: collection.immutable.List[String]

    Definition Classes
      AnyValNum

42. #### val name: String

    Definition Classes
      AnyValRep

43. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

44. #### final def notify(): Unit

    Definition Classes
      AnyRef

45. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

46. #### def objectDoc: String

    Definition Classes
      AnyValRep

47. #### def objectLines: List[String]

    Definition Classes
      AnyValNum → AnyValRep

48. #### def opType(that: AnyVals.AnyValNum): AnyVals.AnyValNum

    Definition Classes
      AnyValNum

49. #### def otherOps: collection.immutable.List[Op]

    Definition Classes
      AnyValNum

50. #### val repr: Option[String]

    Definition Classes
      AnyValRep

51. #### def representation: String

    Definition Classes
      AnyValRep

52. #### def shiftOps: collection.immutable.List[Op]

    Definition Classes
      AnyValNum

53. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

54. #### def toString(): String

    Definition Classes
      AnyValRep → AnyRef → Any

55. #### def unaryOps: collection.immutable.List[Op]

    Definition Classes
      AnyValNum

56. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

57. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

58. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

59. #### def zeroRep: String

    Definition Classes
      AnyValRep

### Inherited from AnyVals.AnyValNum

### Inherited from AnyVals.AnyValRep

### Inherited from AnyRef

### Inherited from Any

### Ungrouped